Bug 42182 - Mime types for cached proxied content
Summary: Mime types for cached proxied content
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_cache (show other bugs)
Version: 2.2.4
Hardware: Other Linux
: P2 normal with 3 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2007-04-22 01:51 UTC by Nadav Pe'er
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nadav Pe'er 2007-04-22 01:51:51 UTC
When using the ProxyPass directive after enabling mod_cache via the
mod_mem_cache storage engine MIME types revert to the DefaultType directive even
if a force type directive has been placed in the http.conf file.
This is similar to bug 39266 which (I guess) resolves this issue for regular
files, but not for proxied content.
Comment 1 Ruediger Pluem 2007-04-22 02:24:08 UTC
Please let us know your mime related, proxy related and cache related
configuration. Do you always get the wrong mime type or only if the response is
served from the cache?
Comment 2 Nadav Pe'er 2007-04-22 03:52:16 UTC
This only happens when served from the cache (does not happen on fist request).
I am using Apache 2.2.4 as the reverse-proxy server (which gives me the
problem), and Apache 2.0.58 as the back-end server (which serves with the
correct mime type).

related configuration from the Reverse Proxy (2.2.4) :

# Mime config in main section
  DefaultType text/plain
  TypesConfig conf/mime.types
  AddHandler type-map var

# Cache configuration in main section
  MCacheMaxObjectCount  1000000
  MCacheMaxObjectSize  10000000
  MCacheRemovalAlgorithm    LRU
  MCacheSize            1000000
  CacheDefaultExpire      86400
# CacheIgnoreNoLastMod       On
  CacheLastModifiedFactor    .1
  CacheMaxExpire          86400

# Specific cache directory in virtual host
  CacheEnable mem http://source.mydomain/dir/

# Proxy configuration in Virtual Host:
  ProxyPass /dir http://source.mydomain/dir
  ProxyPassReverse /dir http://source.mydomain/dir
 
Thank,

    Nadav.
Comment 3 Nadav Pe'er 2007-05-16 07:58:36 UTC
Hi,

Is there anything new on this issue?
Do you need more information ?
Is there a workaround I can use ?

Please advise.

Thanks,

   Nadav.
Comment 4 Nadav Pe'er 2007-05-29 23:22:30 UTC
Hey,

Is there anybody out there ?

Please advise ...

Please ...
Comment 5 Nadav Pe'er 2007-06-14 13:38:17 UTC
Any news ?

     Nadav.
Comment 6 Nadav Pe'er 2007-08-21 21:52:34 UTC
Hey guys,

Is anyone looking at this ?

Please advise.
Comment 7 Ruediger Pluem 2008-06-02 12:19:38 UTC
Can you please check if this problem still exists in the latest version (2.2.8)?
Can you please check if the same problem happens if you use mod_disk_cache instead of mod_mem_cache? 
Comment 8 William A. Rowe Jr. 2018-11-07 21:09:57 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.